# UniTAP.dev.modules.dut_tests.dut_default_params.hdmi_sink_tests

class HdmiTestMode(enum.IntEnum):

Enum where members are also (and must be) ints

ForceVICoutput = <HdmiTestMode.ForceVICoutput: 0>
CTStest = <HdmiTestMode.CTStest: 1>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class HdmiFrlRate(enum.IntEnum):

Enum where members are also (and must be) ints

Mode_Disable = <HdmiFrlRate.Mode_Disable: 0>
Mode_3lanes_3gbps = <HdmiFrlRate.Mode_3lanes_3gbps: 1>
Mode_3lanes_6gbps = <HdmiFrlRate.Mode_3lanes_6gbps: 2>
Mode_4lanes_6gbps = <HdmiFrlRate.Mode_4lanes_6gbps: 3>
Mode_4lanes_8gbps = <HdmiFrlRate.Mode_4lanes_8gbps: 4>
Mode_4lanes_10gbps = <HdmiFrlRate.Mode_4lanes_10gbps: 5>
Mode_4lanes_12gbps = <HdmiFrlRate.Mode_4lanes_12gbps: 6>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class HdmiAvailableVideoModes:
HdmiAvailableVideoModes( param_1: UniTAP.dev.modules.dut_tests.test_group_params_types.Param, param_2: UniTAP.dev.modules.dut_tests.test_group_params_types.Param)
T_2560x1080_100hz_vic_91: bool

Set and get state of support timing VIC 91 2560x1080 100Hz (64:27).

###### Returns:

> object of bool type

T_2560x1080_120hz_vic_92: bool

Set and get state of support timing VIC 92 2560x1080 120Hz (64:27).

###### Returns:

> object of bool type

T_1920x1080_120hz_vic_63: bool

Set and get state of support timing VIC 63 1920x1080 120Hz (16:9).

###### Returns:

> object of bool type

T_1920x1080_100hz_vic_64: bool

Set and get state of support timing VIC 64 1920x1080 100Hz (16:9).

###### Returns:

> object of bool type

T_1920x1080_100hz_vic_77: bool

Set and get state of support timing VIC 77 1920x1080 100Hz (64:27).

###### Returns:

> object of bool type

T_1920x1080_120hz_vic_78: bool

Set and get state of support timing VIC 78 1920x1080 120Hz (64:27).

###### Returns:

> object of bool type

T_3840x2160_24hz_vic_93: bool

Set and get state of support timing VIC 93 3840x2160 24Hz (16:9).

###### Returns:

> object of bool type

T_3840x2160_25hz_vic_94: bool

Set and get state of support timing VIC 94 3840x2160 25Hz (16:9).

###### Returns:

> object of bool type

T_3840x2160_30hz_vic_95: bool

Set and get state of support timing VIC 95 3840x2160 30Hz (16:9).

###### Returns:

> object of bool type

T_3840x2160_50hz_vic_96: bool

Set and get state of support timing VIC 96 3840x2160 50Hz (16:9).

###### Returns:

> object of bool type

T_3840x2160_60hz_vic_97: bool

Set and get state of support timing VIC 97 3840x2160 60Hz (16:9).

###### Returns:

> object of bool type

T_4096x2160_24hz_vic_98: bool

Set and get state of support timing VIC 98 4096x2160 24Hz (256:135).

###### Returns:

> object of bool type

T_4096x2160_25hz_vic_99: bool

Set and get state of support timing VIC 99 4096x2160 25Hz (256:135).

###### Returns:

> object of bool type

T_4096x2160_30hz_vic_100: bool

Set and get state of support timing VIC 100 4096x2160 30Hz (256:135).

###### Returns:

> object of bool type

T_4096x2160_50hz_vic_101: bool

Set and get state of support timing VIC 101 4096x2160 50Hz (256:135).

###### Returns:

> object of bool type

T_4096x2160_60hz_vic_102: bool

Set and get state of support timing VIC 102 4096x2160 60Hz (256:135).

###### Returns:

> object of bool type

T_3840x2160_24hz_vic_103: bool

Set and get state of support timing VIC 103 3840x2160 24Hz (64:27).

###### Returns:

> object of bool type

T_3840x2160_25hz_vic_104: bool

Set and get state of support timing VIC 104 3840x2160 25Hz (64:27).

###### Returns:

> object of bool type

T_3840x2160_30hz_vic_105: bool

Set and get state of support timing VIC 105 3840x2160 30Hz (64:27).

###### Returns:

> object of bool type

T_3840x2160_50hz_vic_106: bool

Set and get state of support timing VIC 106 3840x2160 50Hz (64:27).

###### Returns:

> object of bool type

T_3840x2160_60hz_vic_107: bool

Set and get state of support timing VIC 107 3840x2160 60Hz (64:27).

###### Returns:

> object of bool type

T_3840x2160_48hz_vic_114: bool

Set and get state of support timing VIC 114 3840x2160 48Hz (16:9).

###### Returns:

> object of bool type

T_4096x2160_48hz_vic_115: bool

Set and get state of support timing VIC 115 4096x2160 48Hz (256:135).

###### Returns:

> object of bool type

T_3840x2160_48hz_vic_116: bool

Set and get state of support timing VIC 116 3840x2160 48Hz (64:27).

###### Returns:

> object of bool type

T_3840x2160_100hz_vic_117: bool

Set and get state of support timing VIC 117 3840x2160 100Hz (64:27).

###### Returns:

> object of bool type

T_3840x2160_120hz_vic_118: bool

Set and get state of support timing VIC 118 3840x2160 120Hz (64:27).

###### Returns:

> object of bool type

T_3840x2160_100hz_vic_119: bool

Set and get state of support timing VIC 119 3840x2160 100Hz (64:27).

###### Returns:

> object of bool type

T_3840x2160_120hz_vic_120: bool

Set and get state of support timing VIC 120 3840x2160 120Hz (64:27).

###### Returns:

> object of bool type

T_5120x2160_24hz_vic_121: bool

Set and get state of support timing VIC 121 5120x2160 24Hz (64:27).

###### Returns:

> object of bool type

T_5120x2160_25hz_vic_122: bool

Set and get state of support timing VIC 122 5120x2160 25Hz (64:27).

###### Returns:

> object of bool type

T_5120x2160_30hz_vic_123: bool

Set and get state of support timing VIC 123 5120x2160 30Hz (64:27).

###### Returns:

> object of bool type

T_5120x2160_48hz_vic_124: bool

Set and get state of support timing VIC 124 5120x2160 48Hz (64:27).

###### Returns:

> object of bool type

T_5120x2160_50hz_vic_125: bool

Set and get state of support timing VIC 125 5120x2160 50Hz (64:27).

###### Returns:

> object of bool type

T_5120x2160_60hz_vic_126: bool

Set and get state of support timing VIC 126 5120x2160 60Hz (64:27).

###### Returns:

> object of bool type

T_5120x2160_100hz_vic_127: bool

Set and get state of support timing VIC 127 5120x2160 100Hz (64:27).

###### Returns:

> object of bool type

T_5120x2160_120hz_vic_193: bool

Set and get state of support timing VIC 193 5120x2160 120Hz (64:27).

###### Returns:

> object of bool type

T_7680x4320_24hz_vic_194: bool

Set and get state of support timing VIC 194 7680x4320 24Hz (16:9).

###### Returns:

> object of bool type

T_7680x4320_25hz_vic_195: bool

Set and get state of support timing VIC 195 7680x4320 25Hz (16:9).

###### Returns:

> object of bool type

T_7680x4320_30hz_vic_196: bool

Set and get state of support timing VIC 196 7680x4320 30Hz (16:9).

###### Returns:

> object of bool type

T_7680x4320_48hz_vic_197: bool

Set and get state of support timing VIC 197 7680x4320 48Hz (16:9).

###### Returns:

> object of bool type

T_7680x4320_50hz_vic_198: bool

Set and get state of support timing VIC 198 7680x4320 50Hz (16:9).

###### Returns:

> object of bool type

T_7680x4320_60hz_vic_199: bool

Set and get state of support timing VIC 199 7680x4320 60Hz (16:9).

###### Returns:

> object of bool type

T_7680x4320_100hz_vic_200: bool

Set and get state of support timing VIC 200 7680x4320 100Hz (16:9).

###### Returns:

> object of bool type

T_7680x4320_120hz_vic_201: bool

Set and get state of support timing VIC 201 7680x4320 120Hz (16:9).

###### Returns:

> object of bool type

T_7680x4320_24hz_vic_202: bool

Set and get state of support timing VIC 202 7680x4320 24Hz (64:27).

###### Returns:

> object of bool type

T_7680x4320_25hz_vic_203: bool

Set and get state of support timing VIC 203 7680x4320 25Hz (64:27).

###### Returns:

> object of bool type

T_7680x4320_30hz_vic_204: bool

Set and get state of support timing VIC 204 7680x4320 30Hz (64:27).

###### Returns:

> object of bool type

T_7680x4320_48hz_vic_205: bool

Set and get state of support timing VIC 205 7680x4320 48Hz (64:27).

###### Returns:

> object of bool type

T_7680x4320_50hz_vic_206: bool

Set and get state of support timing VIC 206 7680x4320 50Hz (64:27).

###### Returns:

> object of bool type

T_7680x4320_60hz_vic_207: bool

Set and get state of support timing VIC 207 7680x4320 60Hz (64:27).

###### Returns:

> object of bool type

T_7680x4320_100hz_vic_208: bool

Set and get state of support timing VIC 208 7680x4320 100Hz (64:27).

###### Returns:

> object of bool type

T_7680x4320_120hz_vic_209: bool

Set and get state of support timing VIC 209 7680x4320 120Hz (64:27).

###### Returns:

> object of bool type

T_10240x4320_24hz_vic_210: bool

Set and get state of support timing VIC 210 10240x4320 24Hz (64:27).

###### Returns:

> object of bool type

T_10240x4320_25hz_vic_211: bool

Set and get state of support timing VIC 211 10240x4320 25Hz (64:27).

###### Returns:

> object of bool type

T_10240x4320_30hz_vic_212: bool

Set and get state of support timing VIC 212 10240x4320 30Hz (64:27).

###### Returns:

> object of bool type

T_10240x4320_48hz_vic_213: bool

Set and get state of support timing VIC 213 10240x4320 48Hz (64:27).

###### Returns:

> object of bool type

T_10240x4320_50hz_vic_214: bool

Set and get state of support timing VIC 214 10240x4320 50Hz (64:27).

###### Returns:

> object of bool type

T_10240x4320_60hz_vic_215: bool

Set and get state of support timing VIC 215 10240x4320 60Hz (64:27).

###### Returns:

> object of bool type

T_10240x4320_100hz_vic_216: bool

Set and get state of support timing VIC 216 10240x4320 10Hz (64:27).

###### Returns:

> object of bool type

T_10240x4320_120hz_vic_217: bool

Set and get state of support timing VIC 217 10240x4320 120Hz (64:27).

###### Returns:

> object of bool type

T_4096x2160_100hz_vic_218: bool

Set and get state of support timing VIC 218 4096x2160 100Hz (256:135).

###### Returns:

> object of bool type

T_4096x2160_120hz_vic_219: bool

Set and get state of support timing VIC 219 4096x2160 120Hz (256:135).

###### Returns:

> object of bool type

def clear_all(self):
class HdmiDutCaps:

Class `DutCapsDp14` defines the DUT capabilities and allows setting:

- Set and get state of sink DSC support `is_sink_dsc_support`.
- Set and get state of sink DSC 10 BPC support `is_sink_dsc_10bpc`.
- Set and get state of sink DSC 12 BPC support `is_sink_dsc_12bpc`.
- Set and get state of sink Native 420 support `is_sink_dsc_native_420`.
- Set and get state of sink Native 420 support `is_sink_dsc_16bpc`.
- Set and get state of sink Native 420 support `is_sink_dsc_all_bpp`.

HdmiDutCaps(param: UniTAP.dev.modules.dut_tests.test_group_params_types.Param)
is_sink_dsc_support: bool

Set and get state of SINK DSC support.

###### Returns:

> object of bool type

is_sink_dsc_10bpc: bool

Set and get state of SINK DSC 10 bpc support.

###### Returns:

> object of bool type

is_sink_dsc_12bpc: bool

Set and get state of SINK DSC 12 bpc support.

###### Returns:

> object of bool type

is_sink_dsc_native_420: bool

Set and get state of SINK DSC Native 420 support.

###### Returns:

> object of bool type

is_sink_dsc_16bpc: bool

Set and get state of SINK DSC 16 bpc support.

###### Returns:

> object of bool type

is_sink_dsc_all_bpp: bool

Set and get state of SINK DSC all BPP support.

###### Returns:

> object of bool type

is_sink_ycbcr_support: bool

Set and get state of SINK YCbCr support.

###### Returns:

> object of bool type

class HdmiSinkDUTTestParam:

Class `HdmiSinkDUTTestParam` allows working with parameters from HDMI DSC source part.

- Seg and get test mode `test_mode`.
- Set and get timeout `timeout`.
- Set and get MAX FRL rate `max_frl_rate` type `HdmiFrlRate`.
- Set and get MAX TMDS Clock 'max_tmds_clock'.
- Set and get HDMI DUT Caps 'dut_caps' type 'HdmiDutCaps'.
- Set and get DSC MAX FRL rate `dsc_max_frl_rate` type `HdmiFrlRate`.
- Set and get available video modes `video_modes`.
- Set and get DSC max slice (from 0 to 7) 'dsc_max_slice'.
- Set and get Total chunk bytes `total_chunk_bytes`.

HdmiSinkDUTTestParam(json_obj)
test_mode: HdmiTestMode

Set and get test mode.

###### Returns:

> object of `HdmiTestMode` type

timeout: int

Set and get test timeout, in milliseconds.

###### Returns:

> object of int type

max_frl_rate: HdmiFrlRate

Set and get Max DSC FRL mode.

###### Returns:

> object of `HdmiFrlRate` type

max_tmds_clock: int

Set and get test MAX TMDS clock, in MHz.

###### Returns:

> object of int type

dut_caps: HdmiDutCaps

Set and get DUT caps.

###### Returns:

> object HdmiDutCaps

dsc_max_frl_rate: HdmiFrlRate

Set and get Max DSC FRL mode.

###### Returns:

> object of `HdmiFrlRate` type

video_modes: HdmiAvailableVideoModes

Set and get supported video modes.

###### Returns:

> object `HdmiAvailableVideoModes`

dsc_max_slice: int

Set and get test DSC max slice, in milliseconds.

###### Returns:

> object of int type

total_chunk_bytes: int

Set and get test Total chunk bytes, in milliseconds.

###### Returns:

> object of int type